
Foreman - Feature #29636

Add support for Redfish to BMC Smart Proxy

04/27/2020 07:41 PM - R. Stricklin

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: BMC   

Target version:    

Difficulty:  Fixed in Releases: 2.4.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8185,

https://github.com/theforeman/foreman/p

ull/7616

  

Description

We're getting dinged by security auditors to stop using IPMI, and some of the features we want to use (boot media in particular) don't

work across all vendors (HPE and Dell in particular). Implementing a Redfish provider for the BMC Smart Proxy would solve these

problems, and potentially open the door to integrating additional BMC function.

Related issues:

Related to Smart Proxy - Feature #30906: Add support for Redfish to BMC Smart... Closed

Associated revisions

Revision f94a7f19 - 12/04/2020 01:31 PM - R. Stricklin

Fixes #29636 - Add BMC support for Redfish.

Includes changes to enforce BMC provider selection for front-end

tasks. Previously, all Foreman UI requests to the BMC smart proxy

used the proxy's default provider, regardless of BMC NIC setting.

Revision c24cf7f8 - 12/07/2020 03:20 PM - Lukas Zapletal

Refs #29636 - fix BMC test failures

History

#1 - 04/27/2020 07:42 PM - R. Stricklin

- Tracker changed from Bug to Feature

#2 - 04/27/2020 08:14 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7616 added

#3 - 09/23/2020 05:55 PM - R. Stricklin

- Pull request deleted (https://github.com/theforeman/smart-proxy/pull/758)

Foreman counterpart to Smart Proxy Feature #30906.

#4 - 09/24/2020 11:30 AM - Lukas Zapletal

- Related to Feature #30906: Add support for Redfish to BMC Smart Proxy added

#5 - 12/04/2020 01:31 PM - The Foreman Bot

- Fixed in Releases 2.4.0 added

#6 - 12/04/2020 02:01 PM - R. Stricklin
https://projects.theforeman.org/issues/30906


- Status changed from Ready For Testing to Closed

Applied in changeset foreman|f94a7f1977908a3935b22653157c22d6519977d1.

#7 - 12/07/2020 02:19 PM - The Foreman Bot

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/8185 added

#8 - 03/18/2021 09:14 AM - Tomer Brisker

- Category set to BMC
